org.jboss.netty.handler.codec.spdy

## Class DefaultSpdyWindowUpdateFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdyWindowUpdateFrame

- All Implemented Interfaces:
    SpdyWindowUpdateFrame

      public class DefaultSpdyWindowUpdateFrame
      extends Object
      implements SpdyWindowUpdateFrame

  The default `SpdyWindowUpdateFrame` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSpdyWindowUpdateFrame(int streamId, int deltaWindowSize)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeltaWindowSize()` Returns the Delta-Window-Size of this frame.
    `int` | `getStreamId()` Returns the Stream-ID of this frame.
    `int` | `getStreamID()`
    `void` | `setDeltaWindowSize(int deltaWindowSize)` Sets the Delta-Window-Size of this frame.
    `void` | `setStreamId(int streamId)` Sets the Stream-ID of this frame.
    `void` | `setStreamID(int streamId)` Use `SpdyWindowUpdateFrame.setStreamId(int)` instead.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSpdyWindowUpdateFrame

          public DefaultSpdyWindowUpdateFrame(int streamId,
                                      int deltaWindowSize)

      Creates a new instance.
      Parameters:
        `streamId` - the Stream-ID of this frame
        `deltaWindowSize` - the Delta-Window-Size of this frame

  - ### Method Detail

    - #### getStreamID

          public int getStreamID()

      Specified by:
        `getStreamID` in interface `SpdyWindowUpdateFrame`

    - #### getStreamId

          public int getStreamId()

      Description copied from interface: `SpdyWindowUpdateFrame`
      Returns the Stream-ID of this frame.
      Specified by:
        `getStreamId` in interface `SpdyWindowUpdateFrame`

    - #### setStreamID

          public void setStreamID(int streamId)

      Description copied from interface: `SpdyWindowUpdateFrame`
      Use `SpdyWindowUpdateFrame.setStreamId(int)` instead.
      Specified by:
        `setStreamID` in interface `SpdyWindowUpdateFrame`

    - #### setStreamId

          public void setStreamId(int streamId)

      Description copied from interface: `SpdyWindowUpdateFrame`
      Sets the Stream-ID of this frame. The Stream-ID must be positive.
      Specified by:
        `setStreamId` in interface `SpdyWindowUpdateFrame`

    - #### getDeltaWindowSize

          public int getDeltaWindowSize()

      Description copied from interface: `SpdyWindowUpdateFrame`
      Returns the Delta-Window-Size of this frame.
      Specified by:
        `getDeltaWindowSize` in interface `SpdyWindowUpdateFrame`

    - #### setDeltaWindowSize

          public void setDeltaWindowSize(int deltaWindowSize)

      Description copied from interface: `SpdyWindowUpdateFrame`
      Sets the Delta-Window-Size of this frame. The Delta-Window-Size must be positive.
      Specified by:
        `setDeltaWindowSize` in interface `SpdyWindowUpdateFrame`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.